Subject: Bug#861321: qml-module-qtquick-controls-styles-breeze: ignores system colour theme

From: Salvo Tomaselli <[email-masked]>
Date: Thu, 27 Apr 2017 14:20:41 +0200

Because I think the issue is on the library, not the single
application (which is just something I'm developing)

; This file can be edited to change the style of the application
; See Styling Qt Quick Controls 2 in the documentation for details:
; http://doc.qt.io/qt-5/qtquickcontrols2-styles.html

[Controls]
Style=Breeze

This is the setting file to select the style. It's not even part of
the code. It's included in the resource file anyway.

There are no colours at all defined anywhere in the application code.
It is all default values, which, when using a style meant to make the
application look the same as the other breeze ones, should default to
the system colour theme.

The style isn't part of the application, you can even set it from command line
https://doc.qt.io/qt-5/qtquickcontrols2-styles.html#command-line-argument

2017-04-27 14:01 GMT+02:00 Maximiliano Curia <[email-masked]>:
> ¡Hola Salvo!
>
> El 2017-04-27 a las 13:01 +0200, Salvo Tomaselli escribió:
>>
>> Package: qml-module-qtquick-controls-styles-breeze Version: 4:5.8.5-2
>> Severity: normal
>
>
>> a QML ui configured to use the breeze theme, for me should use the same
>> system colour theme, to appear like the other applications.
>
>
> Which application? How was it configured? Why is this being reported to the
> qml-module-qtquick-controls-styles-breeze package and not to the
> corresponding application?
>
>> However this isn't the case, so it appears very different from the rest of
>> the desktop anyway.
>
>
> It's up to the application developer to use the corresponding system colors.
> A developer can always force the colors/styles to something else.
>
> Happy hacking,
> --
> "Seek simplicity, and distrust it." -- Whitehead's Rule
> Saludos /\/\ /\ >< `/